# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (c) 2001-2007 NetSlave GmbH
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# cKonto Perl Modul
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Aufruf:
# -------
# use cKonto;
# my ($code,$bankname,$plz,$ort) = &cKonto("Kontonummer","Bankleitzahl",'Schlssel bzw. demo');

# -----------------------------------------------------------------------

sub cKonto {
        my ($kto,$blz,$key)        =        @_;

        # Entfernen aller nicht-numerischen Zeichen
        # aus der Kontonummer und der Bankleitzahl
        $kto        =~s/\D//g;
        $blz        =~s/\D//g;

        # Zusammensetzung des bergabeparameters
        my $parameter        =        "knr=$kto&blz=$blz&key=$key";

        # Aufruf von cKonto
        my $ausgabe        =        `./cKonto "$parameter"`;

        # Zerlegen der Ausgabe in NAME/WERT-Paare
        my @paare                =        split(/&/,$ausgabe);
        my %data;
        foreach (@paare) {
                my ( $name , $value )        =        split(/=/,$_);
                $data{$name}                =        $value;
        }

        # Rckgabe
        return ($data{'code'},$data{'name'},$data{'zip'},$data{'location'});

}

# -----------------------------------------------------------------------
1;